#ifndef __TESTLEXER_H
#define __TESTLEXER_H


#include <iostream>

#undef yyFlexLexer
#include <FlexLexer.h>

#include "TestParser.h"


class TestLexer : public yyFlexLexer
{
    public:
        TestLexer(std::istream* is, std::ostream* os);
        int yylex(yy::TestParser::semantic_type* lval);
};


#endif
